Bug 1021164 - Review Request: general-purpose-preprocessor - Customizable language-agnostic preprocessor
Review Request: general-purpose-preprocessor - Customizable language-agnostic...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Amiri
  Show dependency treegraph
 
Reported: 2013-10-19 22:35 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2013-11-10 02:28 EST (History)
4 users (show)

See Also:
Fixed In Version: general-purpose-preprocessor-2.24-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 22:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brendan.jones.it: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-19 22:35:57 EDT
Spec URL: http://in.waw.pl/~zbyszek/fedora/gpp.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/gpp-2.24-2.fc19.src.rpm
Description:
GPP is a general-purpose preprocessor with customizable syntax,
suitable for a wide range of preprocessing tasks. Its independence
from any one programming language makes it much more versatile than
the C preprocessor (cpp), while its syntax is lighter and more
flexible than that of GNU m4. There are built-in macros for use with
C/C++, LaTeX, HTML, XHTML, and Prolog files.

Fedora Account System Username:zbyszek
Comment 1 Christopher Meng 2013-10-19 22:37:53 EDT
Hmm....

Do we really need this ancient tool? ;)
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-10-20 09:06:31 EDT
(In reply to Christopher Meng from comment #1)
> Do we really need this ancient tool? ;)
I asked myself the same question. But the package is tiny, trivial to package,  and Debian has it. I tried to reimplement the necessary functionality in perl, but it's not as trivial as packaging gpp. I guess that if users don't pop up, the package can be retired in the next release or something like that.
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-10-22 01:01:38 EDT
Oops, name 'gpp' is already taken. Renaming to general-purpose-preprocessor, because gnome-printer-panel only uses the package name 'gpp', but doesn't install anything with this name.

Spec URL: http://in.waw.pl/~zbyszek/fedora/general-purpose-preprocessor.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/general-purpose-preprocessor-2.24-3.fc19.src.rpm
Comment 4 Brendan Jones 2013-10-24 01:47:40 EDT
I'll take this on.
Comment 5 Brendan Jones 2013-10-24 16:31:08 EDT
Rpmlint output is OK except this:

general-purpose-preprocessor-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package general-purpose-preprocessor.
general-purpose-preprocessor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gpp-2.24/src/gpp.c

Fix the first and notify the author of the second at your discretion.

No other issues - this package is APPROVED


Review:

* Accompanying license is good and matches source headers
* Package doesn't create any directories it doesn't own
* SPEC file is according to standard and in legible US format
* Latest version is packaged
* Requires are sane
* Package functions as described
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-10-24 19:02:04 EDT
(In reply to Brendan Jones from comment #5)
> Rpmlint output is OK except this:
> 
> general-purpose-preprocessor-debuginfo.x86_64: E: description-line-too-long
> C This package provides debug information for package
> general-purpose-preprocessor.
The description is generated automatically. It's too long because of the long package name... I think it's a known issue.

> general-purpose-preprocessor-debuginfo.x86_64: E: incorrect-fsf-address
> /usr/src/debug/gpp-2.24/src/gpp.c
> 
> Fix the first and notify the author of the second at your discretion.
Done. I took the opportunity to notify upstream maintainer about the package.

> No other issues - this package is APPROVED
Thank you for the review!
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-10-24 19:04:37 EDT
New Package SCM Request
=======================
Package Name: general-purpose-preprocessor
Short Description: A general-purpose preprocessor with customizable syntax
Owners: zbyszek
Branches: f19 f20
InitialCC:
Comment 8 Gwyn Ciesla 2013-10-25 07:57:51 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-10-25 15:25:54 EDT
general-purpose-preprocessor-2.24-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/general-purpose-preprocessor-2.24-3.fc20
Comment 10 Fedora Update System 2013-10-25 15:26:53 EDT
general-purpose-preprocessor-2.24-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/general-purpose-preprocessor-2.24-3.fc19
Comment 11 Fedora Update System 2013-10-26 14:47:36 EDT
Package general-purpose-preprocessor-2.24-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing general-purpose-preprocessor-2.24-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20024/general-purpose-preprocessor-2.24-3.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-11-06 22:31:19 EST
general-purpose-preprocessor-2.24-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-11-10 02:28:09 EST
general-purpose-preprocessor-2.24-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.